import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router)

function loadView(view) {
  return () =>
    import( /* webpackChunkName: "view-[request]" */ `@/views/${view}.vue`)
}
export default new Router({
  routes: [{
      path: '/dataDisplay',
      name: 'datadisplay',
      component: loadView('dataDisplay'),
      meta: {
        title: 'dataDisplay'
      }
    },
    {
      path: '/meetings',
      name: 'meetings',
      component: loadView('meetings'),
      meta: {
        title: 'Meetings Booking'
      }
    },
    {
      path: '/emailv',
      name: 'emailv',
      component: loadView('emailv'),
      meta: {
        title: 'Email Verification'
      }
    },
    {
      path: '/committee',
      name: 'committee',
      component: loadView('committee'),
      meta: {
        title: 'Committee'
      }
    },
    {
      path: '/individualReg',
      name: 'individualReg',
      component: loadView('individualReg'),
      meta: {
        title: 'Individual Registration'
      }
    },

    {
      path: '/instituteReg',
      name: 'instituteReg',
      component: loadView('instituteReg'),
      meta: {
        title: 'Institute Registration'
      }
    },



    {
      path: '/',
      name: 'home',
      component: loadView('Home'),
      meta: {
        title: 'Home'
      }
    },
    {
      path: '/about',
      name: 'about',
      component: loadView('About'),
      meta: {
        title: 'About'
      }
    },
    {
      path: '/login',
      name: 'login',
      component: loadView('Login'),
      meta: {
        title: 'Login',
        lang: 'mr'
      }
    },
    {
      path: '/registration',
      name: 'registration',
      component: loadView('Registration'),
      meta: {
        title: 'Registration',
        lang: 'mr'
      }
    },
    {
      path: '/mqlRequestDemo',
      name: 'mqlRequestDemo',
      component: loadView('MQLRequestDemo'),
      meta: {
        title: 'MQLRequestDemo'
      }
    },
    {
      path: '/i18Demo',
      name: 'i18Demo',
      component: loadView('I18Demo'),
      meta: {
        title: 'Language Demo'
      }
    },
    {
      path: '/otpdemo',
      name: 'otpdemo',
      component: loadView('otpdemo'),
      meta: {
        title: 'OTP Demo'
      }
    },
    {
      path: '/validator',
      name: 'validator',
      component: loadView('Validator'),
      meta: {
        title: 'Validator'
      }
    },
    {
      path: '/encryption',
      name: 'encryption',
      component: loadView('Encryption'),
      meta: {
        title: 'Encrypt'
      }
    },
    {
      path: '/cdnUpload',
      name: 'cdnUpload',
      component: loadView('CdnUpload'),
      meta: {
        title: 'Cdn Upload'
      }
    },
    {
      path: '/tableDemo',
      name: 'tableDemo',
      component: loadView('TableDemo'),
      meta: {
        title: 'Table Demo'
      }
    },
    {
      path: '/Grand',
      name: 'Grand',
      component: loadView('Grand'),
      meta: {
        title: 'Registration Page'
      
    }
  },
      {
        path: '/User_Creation',
        name: 'User_Creation',
        component: loadView('User_Creation'),
        meta: {
          title: 'User Creation'
        }

    }
  ]
})